Package de.willuhn.jameica.hbci.rmi

# Interface Address

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `HibiscusAddress`

All Known Implementing Classes:
  `AddressbookHibiscusImpl.KontoAddress`, `HibiscusAddressImpl`

public interface Address extends Remote
Basis-Interface fuer einen Adressbuch-Eintrag. Die deutschen Methoden-Namen (trotz englischem Interface-Namen) sind ein Zugestaendnis an die Hibiscus-API.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBic()`
Liefert die BIC.
`String`
`getBlz()`
Liefert die BLZ.
`String`
`getIban()`
Liefert die IBAN.
`String`
`getKategorie()`
Liefert einen Freitext mit der Kategorie.
`String`
`getKommentar()`
Liefert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.
`String`
`getKontonummer()`
Liefert die Kontonummer.
`String`
`getName()`
Liefert den Namen.

## Method Details

### getKontonummer

String getKontonummer() throws RemoteException
Liefert die Kontonummer.

Returns:
  Kontonummer.
Throws:
  `RemoteException`

### getBlz

String getBlz() throws RemoteException
Liefert die BLZ.

Returns:
  BLZ.
Throws:
  `RemoteException` - BUGZILLA 534

### getName

String getName() throws RemoteException
Liefert den Namen.

Returns:
  Name.
Throws:
  `RemoteException`

### getKommentar

String getKommentar() throws RemoteException
Liefert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.

Returns:
  Kommentar.
Throws:
  `RemoteException`

### getBic

String getBic() throws RemoteException
Liefert die BIC.

Returns:
  die BIC.
Throws:
  `RemoteException`

### getIban

String getIban() throws RemoteException
Liefert die IBAN.

Returns:
  die IBAN.
Throws:
  `RemoteException`

### getKategorie

String getKategorie() throws RemoteException
Liefert einen Freitext mit der Kategorie.

Returns:
  Freitext mit der Kategorie.
Throws:
  `RemoteException`